openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/COM_PR_CFG_PRODUCT_GETLIST:
    post:
      tags:
      - COM_PRODUCT_CONFIG_API
      operationId: /rfc/COM_PR_CFG_PRODUCT_GETLIST
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IT_PRODUCT_ID_RANGE:
                  type: array
                  items:
                    type: object
                    properties:
                      SIGN:
                        type: string
                        maxLength: 1
                        description: Inclusion/exclusion criterion SIGN for range tables
                      OPTION:
                        type: string
                        maxLength: 2
                        description: Selection operator OPTION for range tables
                      LOW:
                        type: string
                        maxLength: 40
                        description: Product ID
                      HIGH:
                        type: string
                        maxLength: 40
                        description: Product ID
                IT_PRSHTEXT_RANGE:
                  type: array
                  items:
                    type: object
                    properties:
                      SIGN:
                        type: string
                        maxLength: 1
                        description: Inclusion/exclusion criterion SIGN for range tables
                      OPTION:
                        type: string
                        maxLength: 2
                        description: Selection operator OPTION for range tables
                      LOW:
                        type: string
                        maxLength: 40
                        description: Product Description
                      HIGH:
                        type: string
                        maxLength: 40
                        description: Product Description
                IV_CATEGORY_GUID:
                  type: string
                  format: byte
                IV_LANGU:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                  description: Language Key
                IV_MAX_ROWS:
                  type: integer
                  format: int32
                  default: 250
                  description: Maximum Number of Lines of Hits
                IV_ONLY_CONFIG:
                  type: string
                  default: X
                  maxLength: 1
                IV_ONLY_NONCONFIG:
                  type: string
                  default: ' '
                  maxLength: 1
                IV_PRODUCT_TYPE:
                  type: string
                  maxLength: 2
                  description: Product Type
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ET_BAPIRETURN:
                    type: array
                    items:
                      type: object
                      properties:
                        TYPE:
                          type: string
                          maxLength: 1
                          description: 'Message type: S Success, E Error, W Warning, I Info, A Abort'
                        ID:
                          type: string
                          maxLength: 20
                          description: Message Class
                        NUMBER:
                          type: integer
                          format: int64
                          description: Message Number
                        MESSAGE:
                          type: string
                          maxLength: 220
                          description: Message Text
                        LOG_NO:
                          type: string
                          maxLength: 20
                          description: 'Application log: log number'
                        LOG_MSG_NO:
                          type: integer
                          format: int64
                          description: 'Application log: Internal message serial number'
                        MESSAGE_V1:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MESSAGE_V2:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MESSAGE_V3:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MESSAGE_V4:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        PARAMETER:
                          type: string
                          maxLength: 32
                          description: Parameter Name
                        ROW:
                          type: integer
                          format: int32
                          description: Lines in parameter
                        FIELD:
                          type: string
                          maxLength: 30
                          description: Field in parameter
                        SYSTEM:
                          type: string
                          maxLength: 10
                          description: Logical system from which message originates
                  ET_PRODUCT:
                    type: array
                    items:
                      type: object
                      properties:
                        PRODUCT_GUID:
                          type: string
                          format: byte
                          description: Internal Unique ID of Product
                        PRODUCT_ID:
                          type: string
                          maxLength: 40
                          description: Product ID
                        PRODUCT_TYPE:
                          type: string
                          maxLength: 2
                          description: Product Type
                        SHORT_TEXT:
                          type: string
                          maxLength: 40
                          description: Product Description
                        LOGSYS:
                          type: string
                          maxLength: 10
                          description: Original System
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
